Skip to main content
GET
/
api
/
simulation-runs
/
batches
/
list
Python
import requests

url = "https://app.langwatch.ai/api/simulation-runs/batches/list"

headers = {"X-Auth-Token": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Auth-Token': '<api-key>'}};

fetch('https://app.langwatch.ai/api/simulation-runs/batches/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request GET \
--url https://app.langwatch.ai/api/simulation-runs/batches/list \
--header 'X-Auth-Token: <api-key>'
{
  "batches": [
    {
      "batchRunId": "<string>",
      "totalCount": 123,
      "passCount": 123,
      "failCount": 123,
      "runningCount": 123,
      "stalledCount": 123,
      "lastRunAt": 123,
      "lastUpdatedAt": 123,
      "firstCompletedAt": 123,
      "allCompletedAt": 123
    }
  ],
  "hasMore": true,
  "nextCursor": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Authorizations

X-Auth-Token
string
header
required

Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.

Query Parameters

scenarioSetId
string
required
limit
integer
default:10
Required range: x <= 50
cursor
string

Response

Success

batches
object[]
required
hasMore
boolean
nextCursor
string